pcl::GRSDSignature21 Struct Reference
Module common

A point structure representing the Global Radius-based Surface Descriptor (GRSD). More...

`#include <pcl/impl/point_types.hpp>`

## Static Public Member Functions

static int | descriptorSize ()

## Public Attributes

float | histogram [21]

## Friends

std::ostream & | operator<< (std::ostream &os, const GRSDSignature21 &p)

## Detailed Description

A point structure representing the Global Radius-based Surface Descriptor (GRSD).

Definition at line 1395 of file point_types.hpp.

## Member Function Documentation

## descriptorSize()

static int pcl::GRSDSignature21::descriptorSize | ( |  | ) |

inline static

Definition at line 1398 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const GRSDSignature21 & | p
| ) |  |

friend

## Member Data Documentation

## histogram

float pcl::GRSDSignature21::histogram[21]

Definition at line 1397 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp